Subject: Re: bug#8364: 24.0.9999; PATCH: Fit to width/height/page for doc-view.el

From: Tassilo Horn <[email-masked]>
Date: Wed, 30 Mar 2011 15:18:15 +0200

sho nakatani <[email-masked]> writes:

Hi Nakatani,

> But your function doesn't work for some files.

What exactly doesn't work?

> I attached an example PDF file (written in Japanse).

Sorry, but my ghostscript crashes with that file.  Since I update to
ghostscript 9.x, I get crashes for some PDF files...

--8<---------------cut here---------------start------------->8---
   **** Warning: can't process font stream, loading font by the name.
Error: /undefined in findresource
Operand stack:
   --dict:5/14(L)--   F3   15.919   --dict:5/5(L)--   --dict:5/5(L)--   Ryumin-Light-Identity-H   --dict:9/12(ro)(G)--   --nostringval--   CIDFontObject   --dict:7/7(L)--   --dict:7/7(L)--   Adobe-Japan1
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1894   1   3   %oparray_pop   1893   1   3   %oparray_pop   1877   1   3   %oparray_pop   --nostringval--   --nostringval--   2   1   78   --nostringval--   %for_pos_int_continue   --nostringval--   --nostringval--   --nostringval--   --nostringval--   %array_continue   --nostringval--   false   1   %stopped_push   --nostringval--   %loop_continue   --nostringval--   --nostringval--   --nostringval--   --nostringval--   --nostringval--   --nostringval--   %array_continue   --nostringval--   --nostringval--   --nostringval--   --nostringval--   --nostringval--   %loop_continue
Dictionary stack:
   --dict:1164/1684(ro)(G)--   --dict:1/20(G)--   --dict:82/200(L)--   --dict:82/200(L)--   --dict:108/127(ro)(G)--   --dict:295/300(ro)(G)--   --dict:23/30(L)--   --dict:6/8(L)--   --dict:21/40(L)--   --dict:7/15(L)--
Current allocation mode is local
Last OS error: 2
GPL Ghostscript 9.01: Unrecoverable error, exit code 1
--8<---------------cut here---------------end--------------->8---

Even if I open that file with Evince, I mostly see boxes instead of
japanese glyphs. :-(

If you have more files that don't work, feel free to send them to me.
(No need to attach them all to this bug report.)

Bye,
Tassilo